org.apache.mina.transport.udp

## Interface UdpSessionConfig

All Superinterfaces:
  IoSessionConfig

All Known Implementing Classes:
  DefaultUdpSessionConfig

    public interface UdpSessionConfig
    extends IoSessionConfig

A `IoSessionConfig` for UDP based sessions.

Author:
  Apache MINA Project

### Method Summary

Methods
`boolean` `isBroadcast()`
`void` `setBroadcast(boolean broadcast)`

### Methods inherited from interface org.apache.mina.api.IoSessionConfig

`getIdleTimeInMillis, getReadBufferSize, getSendBufferSize, getTimeout, getTrafficClass, isReuseAddress, setIdleTimeInMillis, setReadBufferSize, setReuseAddress, setSendBufferSize, setTimeout, setTrafficClass, setTrafficClass`

### Method Detail

#### isBroadcast

    boolean isBroadcast()

See Also:
  `DatagramSocket.getBroadcast()`

#### setBroadcast

    void setBroadcast(boolean broadcast)

See Also:
  `DatagramSocket.setBroadcast(boolean)`